org.apache.cassandra.tools

## Class SSTableRepairedAtSetter

- java.lang.Object
- - org.apache.cassandra.tools.SSTableRepairedAtSetter

-     public class SSTableRepairedAtSetter
      extends java.lang.Object

  Set repairedAt status on a given set of sstables. If you pass --is-repaired, it will set the repairedAt time to the last modified time. If you know you ran repair 2 weeks ago, you can do something like `sstablerepairset --is-repaired -f <(find /var/lib/cassandra/data/.../ -iname "*Data.db*" -mtime +14)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableRepairedAtSetter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSTableRepairedAtSetter

          public SSTableRepairedAtSetter()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      Parameters:
        `args` - a list of sstables whose metadata we are changing
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation